Skip to main content
Get Active Market Orders
curl --request GET \
  --url https://synthesis.trade/api/v1/wallet/pol/{wallet_id}/orders/{condition_id}/active \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "response": [
    {
      "order_id": "0xf9e8d7c6b5a4f9e8d7c6b5a4f9e8d7c6b5a4f9e8d7c6b5a4f9e8d7c6b5a4f9e8",
      "token_id": "21742633143463906290569050155826241533067272736897614950488156847949938836455",
      "type": "LIMIT",
      "side": "BUY",
      "shares": "152.300",
      "filled": "0",
      "price": "0.61",
      "status": "ACTIVE",
      "created_at": 1736937000
    },
    {
      "order_id": "b2c3d4e5-f6a7-8901-bcde-f23456789012",
      "token_id": "21742633143463906290569050155826241533067272736897614950488156847949938836455",
      "type": "STOPLOSS",
      "side": "SELL",
      "shares": "152.300",
      "filled": "0",
      "price": "0.45",
      "status": "ACTIVE",
      "created_at": 1736937100
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

wallet_id
string
required
condition_id
string
required

Response

200 - application/json

Active market orders